# Uses of Interface
org.opensaml.saml.saml2.binding.artifact.SAML2Artifact

Packages that use SAML2Artifact
Package
Description
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.

## Uses of SAML2Artifact in org.opensaml.saml.saml2.binding.artifact

Classes in org.opensaml.saml.saml2.binding.artifact with type parameters of type SAML2Artifact
Modifier and Type
Interface
Description
`interface`
`SAML2ArtifactBuilder<ArtifactType extends SAML2Artifact>`
Builder of typed SAML 2 artifacts.
Classes in org.opensaml.saml.saml2.binding.artifact that implement SAML2Artifact
Modifier and Type
Class
Description
`class`
`AbstractSAML2Artifact`
SAML 2 Artifact base class.
`class`
`SAML2ArtifactType0004`
SAML 2 Type 0x004 Artifact.
Methods in org.opensaml.saml.saml2.binding.artifact that return SAML2Artifact
Modifier and Type
Method
Description
`SAML2Artifact`
SAML2ArtifactBuilderFactory.`buildArtifact(byte[] artifact)`
convenience method for getting an artifact builder and parsing the given artifact with it.
`SAML2Artifact`
SAML2ArtifactBuilderFactory.`buildArtifact(String base64Artifact)`
Convenience method for getting an artifact builder and parsing the given Base64 encoded artifact with it.

## Uses of SAML2Artifact in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl that return SAML2Artifact
Modifier and Type
Method
Description
`private SAML2Artifact`
HTTPArtifactDecoder.`parseArtifact(String encodedArtifact)`
Parse and decode the supplied encoded artifact string into a `SAML2Artifact` instance.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type SAML2Artifact
Modifier and Type
Method
Description
`private ArtifactResolve`
HTTPArtifactDecoder.`buildArtifactResolveRequestMessage(SAML2Artifact artifact, String endpoint, RoleDescriptor peerRoleDescriptor, String selfEntityID)`
Build the SAML protocol message for artifact resolution.
`private SAMLObject`
HTTPArtifactDecoder.`dereferenceArtifact(SAML2Artifact artifact, RoleDescriptor peerRoleDescriptor, String endpoint)`
De-reference the supplied artifact into the corresponding SAML protocol message.
`private String`
HTTPArtifactDecoder.`resolveArtifactEndpoint(SAML2Artifact artifact, RoleDescriptor peerRoleDescriptor)`
Resolve the artifact resolution endpoint of the peer who issued the artifact.
`private RoleDescriptor`
HTTPArtifactDecoder.`resolvePeerRoleDescriptor(SAML2Artifact artifact)`
Resolve the role descriptor of the SAML peer who issued the supplied artifact.

## Uses of SAML2Artifact in org.opensaml.saml.saml2.binding.encoding.impl

Methods in org.opensaml.saml.saml2.binding.encoding.impl that return SAML2Artifact
Modifier and Type
Method
Description
`protected SAML2Artifact`
HTTPArtifactEncoder.`buildArtifact(MessageContext messageContext)`
Builds the SAML 2 artifact for the outgoing message.